# What is the Atfinity API?

The atfinity API enables you to work on [cases](/guides/glossary/case.md) and [instances](/guides/glossary/instance.md).

You can request a list of all or only some cases, get an overview of all the data present in a single case, see a list of all the instances of a specific [ontology](/guides/glossary/ontology.md), and retrieve [information](/guides/glossary/information.md) on a specific instance.

You can also create and delete cases through the API, change the value of information fields in a case, and change the owner of a case.

Other possibilities include uploading and deleting [proofs](/guides/glossary/proof.md), downloading case materials (e.g. booklets), [transitioning](/guides/glossary/workflow.md#transition) cases, and sending case booklets out via email.

Using webhooks, you can select to be notified of specific case updates in real time.

To make requests to the atfinity API, you need:

* a configured atfinity tenant
* an API Key to authenticate yourself to the atfinity API


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.atfinity.io/api/what-is-the-atfinity-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
